﻿using System;
using Microsoft.SharePoint;

namespace WingtipToysWebTemplates.SetSubSiteNavigation
{
    /// <summary>
    /// Web Events
    /// </summary>
    public class SetSubSiteNavigation : SPWebEventReceiver
    {
        /// <summary>
        /// A site was provisioned.
        /// </summary>
        public override void WebProvisioned(SPWebEventProperties properties)
        {
            base.WebProvisioned(properties);

            SPWeb web = properties.Web;

            // Let sub site navigation inherit from the parent site
            web.Navigation.UseShared = true;

            web.Update();
        }
    }
}